Bug 1003087 - Right pane information hidden until mouse hovers over other UI elements with FF17
Right pane information hidden until mouse hovers over other UI elements with ...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
Unspecified Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Eric Helms
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 14:02 EDT by bmorriso
Modified: 2014-03-11 12:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 12:43:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This shows the right pane is blank after selecting the distributor (68.21 KB, image/png)
2013-10-21 16:24 EDT, bmorriso
no flags Details
The right pane appears after hovering over the "+New Distributor" link (84.90 KB, image/png)
2013-10-21 16:26 EDT, bmorriso
no flags Details

  None (edit)
Description bmorriso 2013-08-30 14:02:10 EDT
Description of problem:
On firefox 17.0.x (the current version for RHEL6), when a user clicks on an item in the left pane (distributor, activation key, system, etc), the right pane doesn't display details about the selected item. The right pane information appears after the user hovers over other elements on the page (for instance, other items in the left pane list). I tried to reproduce this on newer firefox versions (18, 20, 22) and was unable to. This only appears to occur on FF 17.

Version-Release number of selected component (if applicable):
1.4.3-1.git.403.4232770.el6

How reproducible:
every time

Steps to Reproduce:
(Using a firefox 17 browser)
1. Navigate to the Distributors page
2. Create a new distributor if none exist.
3. Click on the created distributor in the left pane.

Actual results:
The right pane remains blank until the user moves their mouse over another UI element on the page.

Expected results:
The right pane displays details about the selected distributor.

Additional info:
Comment 1 Eric Helms 2013-09-16 11:14:25 EDT
Fix being tracked here - https://github.com/Katello/katello/pull/2958
Comment 2 Eric Helms 2013-09-16 18:00:19 EDT
The fix is available at - 5288ce3e7aff4a07a863023cbb3f0dbf6617f7ff
Comment 5 bmorriso 2013-10-21 16:24:47 EDT
Created attachment 814806 [details]
This shows the right pane is blank after selecting the distributor
Comment 6 bmorriso 2013-10-21 16:26:22 EDT
Created attachment 814807 [details]
The right pane appears after hovering over the "+New Distributor" link
Comment 7 bmorriso 2013-10-21 16:33:43 EDT
Retested this on Firefox 17 today, and as the screenshots show, this issue is still present.

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-18.el6sat.noarch
* foreman-compute-1.3.0-18.el6sat.noarch
* foreman-libvirt-1.3.0-18.el6sat.noarch
* foreman-postgresql-1.3.0-18.el6sat.noarch
* foreman-proxy-1.3.0-3.el6sat.noarch
* katello-1.4.6-39.el6sat.noarch
* katello-all-1.4.6-39.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-24.el6sat.noarch
* katello-cli-common-1.4.3-24.el6sat.noarch
* katello-common-1.4.6-39.el6sat.noarch
* katello-configure-1.4.7-5.el6sat.noarch
* katello-configure-foreman-1.4.7-5.el6sat.noarch
* katello-configure-foreman-proxy-1.4.7-5.el6sat.noarch
* katello-foreman-all-1.4.6-39.el6sat.noarch
* katello-glue-candlepin-1.4.6-39.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-39.el6sat.noarch
* katello-glue-pulp-1.4.6-39.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
* pulp-server-2.3.0-0.22.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.22-2.el6sat.noarch
* signo-katello-0.0.22-2.el6sat.noarch
Comment 8 bmorriso 2013-10-22 11:02:41 EDT
I have only been able to reproduce this on Firefox 17.0.1 and 17.0.7. I am unable to reproduce this on 17.0.9, which is the latest version available to RHEL6.
Comment 9 Bryan Kearney 2014-03-11 12:43:55 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.